<?php

// CountDown for Mambo 4.5.1
//
// version 1.0beta first release
//
// Author : Chris Meichtry
// Some code taken from http://www.elouai.com/countdown-clock.php
//
// URL: http://www.mambosphere.com
// MAIL: chris@mambosphere.com
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// The "GNU General Public License" (GPL) is available at
// http://www.gnu.org/copyleft/gpl.html.

defined( '_VALID_MOS' ) or die( 'Directly access to file not permited.' ) ;

global $mosConfig_lang ;

$cDay 		= @$params->get('Day') 		? @$params->get('Day') 		: '01' ;
$cMonth 	= @$params->get('Month') 	? @$params->get('Month') 	: '01' ;
$cYear		= @$params->get('Year') 	? @$params->get('Year') 	: '2005' ;
$cHour 		= @$params->get('Hour') 	? @$params->get('Hour') 	: '12' ;
$cMinute	= @$params->get('Minute') 	? @$params->get('Minute') 	: '0' ;
$offset		= @$params->get('Offset') 	? @$params->get('Offset') 	: '0' ;
$tFormat	= @$params->get('Format') 	? @$params->get('Format') 	: 'F j, Y, g:i a' ;
$now		= @$params->get('Now') 		? @$params->get('Now') 		: 0 ;

// make a unix timestamp for the given date
$the_countdown_date = mktime($cHour, $cMinute, 0, $cMonth, $cDay, $cYear, -1);

// get current unix timestamp and add timezone offset
$content = '' ;

$today = time() + 3600*$offset ;

$difference = $the_countdown_date - $today ;

if ($difference < 0) $difference = 0 ;

$days_left = floor($difference/60/60/24) ;
$hours_left = floor(($difference - $days_left*60*60*24)/60/60) ;
$minutes_left = floor(($difference - $days_left*60*60*24 - $hours_left*60*60)/60) ;
  
$content.= "<table cellpadding='0' cellspacing='0' width='100%'>" ;

if ($now)
	$content.= "<tr><td valign='top'><small>Time now</small></td><td><div align='right'><small>".date($tFormat, $today)."</small></div></td></tr>" ;
	
$content.= "<tr><td valign='top'><small>Count to</small></td><td><div align='right'><small>".date($tFormat, $the_countdown_date)."</small></div></td>" ;
$content.= "<tr><td valign='top'><small>Time left</small></td><td><div align='right'><small>".$days_left." days<br/>".$hours_left." hours<br/>".$minutes_left." minutes</small></div></td></tr></table>" ;

?>